Package org.eclipse.cdt.core.errorparsers

# Class FixitErrorParser

java.lang.Object
org.eclipse.cdt.core.errorparsers.RegexErrorParser
org.eclipse.cdt.core.errorparsers.FixitErrorParser

All Implemented Interfaces:
  `Cloneable`, `IErrorParser`, `IErrorParserNamed`

public class FixitErrorParser extends RegexErrorParser

Since:
  6.3

## Constructor Summary

Constructors
Constructor
Description
`FixitErrorParser()`
`FixitErrorParser(String id, String name)`

## Method Summary

Modifier and Type
Method
Description
`Object`
`clone()`
`boolean`
`processLine(String line, ErrorParserManager epManager)`
Parse a line of build output and register errors/warnings/infos for Problems view in internal list of `ErrorParserManager`.

### Methods inherited from class org.eclipse.cdt.core.errorparsers.RegexErrorParser

`addPattern, clearPatterns, equals, getId, getName, getPatterns, removePattern, setId, setName, toString`

### Methods inherited from class java.lang.Object

`finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### FixitErrorParser

public FixitErrorParser(String id, String name)

### FixitErrorParser

public FixitErrorParser()

## Method Details

### processLine

public boolean processLine(String line, ErrorParserManager epManager)
Description copied from class: `RegexErrorParser`
Parse a line of build output and register errors/warnings/infos for Problems view in internal list of `ErrorParserManager`.

Specified by:
  `processLine` in interface `IErrorParser`
Overrides:
  `processLine` in class `RegexErrorParser`
Parameters:
  `line` - - line of the input
  `epManager` - - error parsers manager
Returns:
  true if error parser recognized and accepted line, false otherwise

### clone

public Object clone() throws CloneNotSupportedException

Overrides:
  `clone` in class `RegexErrorParser`
Throws:
  `CloneNotSupportedException`